function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
    -- if sender == 100 then

  -- return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;   
      if obj_id==112233 then
      frame=0;
      add_free_leaf("comics",23,50);
      set_satelite_leaf("bob");
      DoFile(23,50)
      ShowMenu(false);
      
      return; end;
                   
     return;end;
  if sender==100 then
    if flags.comx then
    set_visible_object(12121,false)
    -- speciale_action(2,12121,true);
add_free_leaf("map24",23,101);
set_satelite_leaf("bob");
DoFile(23,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
    if flags.collected  then
      flags.collected= false
    CreateWindow(150,250,"259",2156145,nil,250,30);  
    return; end;
  return; end;
  if sender==12 then
      if flags.all and flags.minicomplete8 then
        if last_id==obj_id then
        flags.collected = true;
        WaitRender()
        return;end;
      end;
  return;end;
  if sender==15 then
    if obj_id==700 then
      CreateWindow(150,250,"202",2,nil,250,30);   
    return;end;
  return;end;
  if sender==26 then
      if obj_id==2 then
    collaps_obj(555,0,0,10,1);
         return;end; 
  if obj_id==2156145 then
    StartTimer(112233,1)
  return;end;
  return; end;
  if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось  
      AddParticleToObject(555,"doc",907,536);
      MoveEmiter("doc",907,536);
      if (not flags.minicomplete8) then
        StartEmiter("doc");
      end;
    return;end;     
    if obj_id==503 then --название уровня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале уровня ----
      ShowMenu(true);
      savegame(SaveLevel());
       --CreateWindow(150,250,"198");             
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
  last_id=obj_id;
    if obj_id==131 then
    if (not flags.minicomplete43) then
        if attachedID == 116 then
        RemoveFromMouse(116);
        StopEmiter("Svet2");
        DeleteElement("gr",116);
        collaps_obj(131,0,0,10,1);
        playeffect("20");
        flags.money=true;
        CreateWindow(150,250,"204",1,nil,250,30);
        --playeffect("01");  
        Set_Cursor(131,3);
      return; end;
      if (attachedID ~= 116) and (attachedID>-1) then
      RemoveFromMouse(attachedID);
                CreateWindow(150,250,"200",nil,nil,250,30); 
      return; end;
      if attachedID==-1 then
                  CreateWindow(150,250,"201",nil,nil,250,30); 
      return; end;
    return; end;
    return; end;

  if attachedID == -1 then
        if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          delete_tree_leaf("Root","bob");-- Добавляет лист в дерево 
          
setstatemenu();  
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;
    if obj_id==129 then
      collaps_obj(obj_id,0,0,10,1);
      AddElement("gr",obj_id);
      SetAlfaSheet(2.5)
      setcolor(obj_id,0,0,0,0.5,1);
      MoveObjectToTree(obj_id);
      flags.impress = true;
    return;end;    
    if obj_id==700 then
      speciale_action(2,700,true)
      flags.minicomplete8= true;
    return;end;
    
    if obj_id==555 then
    if (not flags.minicomplete8) then
      speciale_action(2,700,true)
      playeffect("20");
      flags.doc=true;
      StopEmiter("doc")
    return; end;
    return; end;
      if obj_id==800 then
  
        if (not flags.minicomplete131)  then --переброска
        
            playeffect("29");
            flags.comend= true;
            add_free_leaf("Root","mini31",0,41);-- Добавляет чистый лист
            set_satelite_leaf("bob");
            DoFile(0,41)
            mini_create();
            flags.nohints=true;
          return; end;
        return; end;        
      
    if obj_id > 0 and obj_id < 200 and attachedID == -1 then --кликаем на активный объект
      playeffect("20");
      collaps_obj(obj_id,0,0,10,1);
    return 0; end
    return; end;  
  return; end;

  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
-----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev23.0".." "..sender.."\n")
   flags.all=true;

  return; end;  
------------------------------------------------------------------------------------------------------------------  
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if idObject==131 then
  selectrandomobject(1.5,idObject);
  end;
  if  not flags.minicomplete131 and flags.endcomics then
    selectrandomobject(1.5,800);
  end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
  if idObject==131 then
  selectrandomobject(1.5,idObject);
  return;end;
  selectrandomobject(1.5,idObject);
end;
